<template>
    <div class="content-container">
      <div class="columns">
        <div class="column is-8">
          <div class="section content-title-group">
            <h2 class="title">SalesItems</h2>
            <ul>
              <li v-for="salesItem in salesItems" :key="salesItem.id">
                <div class="card">
                  <div class="card-content">
                    <div class="content">
                      <div :key="salesItem.item" class="item">
                        {{ salesItem.item }} 
                      </div>
                      <div class="type">{{ salesItem.type }}</div>
                    </div>
                  </div>
                  <footer class="card-footer">
                    <router-link
                      tag="button"
                      class="link card-footer-item"
                      :to="{ name: 'SalesItemDetail', params: { id: salesItem.id } }"
                    >
                      <i class="fas fa-check"></i>
                      <span>Select</span>
                    </router-link>
                  </footer>
                </div>
              </li>
            </ul>
          </div>
          <div class="notification is-info" v-show="message">{{ message }}</div>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  import { dataService } from '../shared';
  
  export default {
    name: 'SalesItems',
    data() {
      return {
        salesItems: [],
        message: '',
      };
    },
    async created() {
      await this.loadSalesItems();
    },
    methods: {
      async loadSalesItems() {
        this.salesItems = [];
        this.message = 'getting the salesItems';
  
        this.salesItems = await dataService.getSalesItems();
  
        this.message = '';
      },
    },
  };
  </script>
  